Skip to main content
POST
Update applicant info

Authorizations

ds-api-token
string
header
required

Path Parameters

applicant_id
string<uuid>
required

Existing applicant id

Example:

"01827ed5-c228-7a3c-9a31-7ab7cc169d13"

Body

application/json

Applicant info

This object allows you to include any supplementary information about the applicant, such as their first, last name or citizenship.

full_name
string

Full Person name, if not specified will fallback to first_name and last name

Example:

"John Doe"

first_name
string

First name

Example:

"John"

last_name
string

Last name

Example:

"Doe"

dob
string<ISO-8601>

Date of birth in ISO-8601 format

Example:

"1987-12-24T00:00:00.000Z"

gender
enum<string>

gender that is used in official documents

Available options:
M,
F
Example:

"M"

citizenship
string<ISO 3166-1 ALPHA-2 code>

Two-letter ISO 3166-1 ALPHA-2 code, reference https://www.iban.com/country-codes. Currently can be set via manual fields feature via API when creating applicants. (Available in provided_info in applicant)

Example:

"DE"

country
string<ISO 3166-1 ALPHA-2 code>

Two-letter ISO 3166-1 ALPHA-2 code, reference https://www.iban.com/country-codes. Country extracted from POI document. (Available in system_info in applicant)

Example:

"DE"

address
string

Applicant address, could be used for any type of applicants

Example:

"Paris, France"

addresses
object

List of applicant addresses, only residence for now.

custom_fields
object

Key - value object, values can be only strings

Response

Applicant updated